import { actionPromise } from "./actionPromise";

export const actionUploadFile = (files) => async (dispatch) => {
    let formData = new FormData();
    formData.append("photo", files);
    return await dispatch(
      actionPromise(
        "upload",
        fetch("/upload", {
          method: "POST",
          headers: localStorage.authToken
            ? { Authorization: "Bearer " + localStorage.authToken }
            : {},
          body: formData,
        }).then((res) => res.json())
      )
    );
};