const types = {
    html: "html",
    css: "css",
    javascript: "javascript",
    java: "java",
    python: "python",
    ruby: "ruby",
    xml: "xml",
    sass: "sass",
    json: "json",
    typescript: "typescript",
    markdown: "markdown",
    mysql: "mysql",
    handlebars: "handlebars",
    golang: "golang",
    csharp: "csharp",
    elixir: "elixir"
}

export const Select = ({listObj=types, onChange, value}) => 
    {
        return <select value = {value} onChange={e => onChange(e.target.value)}>
            {Object.entries(listObj).map(([value, text]) => <option value={value} key={value}>
                {text}
            </option>)}
        </select>
    }